> ## Documentation Index
> Fetch the complete documentation index at: https://docs.busha.io/llms.txt
> Use this file to discover all available pages before exploring further.

# USD Conversions

> Buy and sell USD with fiat or cryptocurrency using Busha's API.

This example shows you how to buy and sell USD with either fiat currency or cryptocurrency using Busha's API.

## Use Cases

* Convert local currency to USD
* Convert stablecoins to USD
* Convert USD to local currency
* International payments
* USD savings and liquidity management

***

## Buy USD

### Buy USD with Fiat

<Tabs>
  <Tab title="NGN to USD">
    ### Buy USD with 50,000 NGN via Bank Transfer

    <Steps>
      <Step title="Get a Quote">
        Create a quote with temporary bank account funding:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "NGN",
                    "target_currency": "USD",
                    "source_amount": "50000",
                    "pay_in": {
                      "type": "temporary_bank_account"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_gCcLjJ0P0uEc",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "NGN",
              "target_currency": "USD",
              "source_amount": "50000",
              "target_amount": "33.48543819",
              "rate": {
                "product": "USDNGN",
                "rate": "1490.2",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "NGN",
                "target_currency": "USD"
              },
              "fees": [
                {
                  "amount": {
                    "amount": "100",
                    "currency": "NGN"
                  },
                  "name": "payment gateway fee",
                  "type": "FIXED"
                }
              ],
              "pay_in": {
                "type": "temporary_bank_account"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_gCcLjJ0P0uEc",
              "status": "pending",
              "expires_at": "2026-01-23T11:34:17.175170741Z",
              "created_at": "2026-01-23T11:04:17.175146315Z",
              "updated_at": "2026-01-23T11:04:17.175146315Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to get temporary bank details:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_gCcLjJ0P0uEc"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_JSaOYnl7Sla0",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_gCcLjJ0P0uEc",
              "description": "Bought USD",
              "sub_description": "With NGN",
              "source_currency": "NGN",
              "target_currency": "USD",
              "source_amount": "50000",
              "target_amount": "33.48543819",
              "trade": "buy",
              "rate": {
                "product": "USDNGN",
                "rate": "1490.2",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "NGN",
                "target_currency": "USD"
              },
              "fees": [
                {
                  "amount": {
                    "amount": "100",
                    "currency": "NGN"
                  },
                  "name": "payment gateway fee",
                  "type": "FIXED"
                }
              ],
              "pay_in": {
                "expires_at": "2026-01-23T11:37:32.289498887Z",
                "recipient_details": {
                  "account_name": "BIBAGE TECHNOLOGIES LTD || Liverppol Business",
                  "account_number": "0327318166",
                  "bank_code": "090614",
                  "bank_name": "Aella Microfinance Bank",
                  "email": "ajibola@busha.co"
                },
                "type": "temporary_bank_account"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-23T11:07:31.197428968Z",
              "updated_at": "2026-01-23T11:07:31.197429043Z"
            }
          }
          ```
        </Accordion>

        **Important:** Transfer exactly ₦50,000 to the provided bank account before the expiration time. The USD will be credited to your balance once payment is confirmed.
      </Step>

      <Step title="Check Transfer Status">
        Monitor the transfer to confirm the purchase completed successfully:

        ```bash theme={null}
                curl -X GET https://api.sandbox.busha.so/v1/transfers/TRF_JSaOYnl7Sla0 \
                  -H "Authorization: Bearer YOUR_SECRET_KEY"
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Fetched transfer successfully",
            "data": {
              "id": "TRF_JSaOYnl7Sla0",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_gCcLjJ0P0uEc",
              "description": "Bought USD",
              "sub_description": "With NGN",
              "source_currency": "NGN",
              "target_currency": "USD",
              "source_amount": "50000",
              "target_amount": "33.48543819",
              "trade": "buy",
              "rate": {
                "product": "USDNGN",
                "rate": "1490.2",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "NGN",
                "target_currency": "USD"
              },
              "fees": [
                {
                  "amount": {
                    "amount": "100",
                    "currency": "NGN"
                  },
                  "name": "payment gateway fee",
                  "type": "FIXED"
                }
              ],
              "pay_in": {
                "expires_at": "2026-01-23T11:37:32.289498887Z",
                "recipient_details": {
                  "account_name": "BIBAGE TECHNOLOGIES LTD || Liverppol Business",
                  "account_number": "0327318166",
                  "bank_code": "090614",
                  "bank_name": "Aella Microfinance Bank",
                  "email": "ajibola@busha.co"
                },
                "type": "temporary_bank_account"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "funds_converted",
              "timeline": {
                "total_steps": 3,
                "current_step": 3,
                "transfer_status": "funds_converted",
                "events": [
                  {
                    "step": 1,
                    "done": true,
                    "status": "pending",
                    "title": "Transfer Started",
                    "description": "Waiting for your NGN payment",
                    "timestamp": "2026-01-23T11:07:34.553579Z"
                  },
                  {
                    "step": 2,
                    "done": true,
                    "status": "funds_received",
                    "title": "Payment Received",
                    "description": "We received your NGN Payment",
                    "timestamp": "2026-01-23T11:07:34.553579Z"
                  },
                  {
                    "step": 3,
                    "done": true,
                    "status": "funds_converted",
                    "title": "Funds Converted",
                    "description": "Your USD has been added to your wallet.",
                    "timestamp": "2026-01-23T11:07:34.65765Z"
                  }
                ]
              },
              "created_at": "2026-01-23T11:07:31.197428Z",
              "updated_at": "2026-01-23T11:07:35.404245Z"
            }
          }
          ```
        </Accordion>
      </Step>
    </Steps>
  </Tab>
</Tabs>

#### Other Examples

**Buy USD with NGN from Balance**

```bash theme={null}
curl -X POST https://api.sandbox.busha.so/v1/quotes \
  -H "Authorization: Bearer YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_currency": "NGN",
    "target_currency": "USD",
    "source_amount": "50000",
    "pay_in": {
      "type": "balance"
    }
  }'
```

***

### Buy USD with Crypto

<Tabs>
  <Tab title="USDT to USD">
    ### Convert 100 USDT to USD from Balance

    <Steps>
      <Step title="Get a Quote">
        Create a quote to see the exchange rate:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "USDT",
                    "target_currency": "USD",
                    "source_amount": "100",
                    "pay_in": {
                      "type": "balance"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_zqGjq5VI4Dyu",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "USDT",
              "target_currency": "USD",
              "source_amount": "100",
              "target_amount": "99.6",
              "rate": {
                "product": "USDTUSD",
                "rate": "0.996",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USDT",
                "target_currency": "USD"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_zqGjq5VI4Dyu",
              "status": "pending",
              "expires_at": "2026-01-20T09:48:40.822804422Z",
              "created_at": "2026-01-20T09:18:40.822779472Z",
              "updated_at": "2026-01-20T09:18:40.822779472Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to finalize the conversion:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_zqGjq5VI4Dyu"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_O7MHNJocNQaN",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_zqGjq5VI4Dyu",
              "description": "Sold USDT",
              "sub_description": "For USD",
              "source_currency": "USDT",
              "target_currency": "USD",
              "source_amount": "100",
              "target_amount": "99.6",
              "trade": "sell",
              "rate": {
                "product": "USDTUSD",
                "rate": "0.996",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USDT",
                "target_currency": "USD"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-20T09:33:01.915628818Z",
              "updated_at": "2026-01-20T09:33:01.915628873Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Check Transfer Status">
        Monitor the transfer to confirm completion:

        ```bash theme={null}
                curl -X GET https://api.sandbox.busha.so/v1/transfers/TRF_O7MHNJocNQaN \
                  -H "Authorization: Bearer YOUR_SECRET_KEY"
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Fetched transfer successfully",
            "data": {
              "id": "TRF_O7MHNJocNQaN",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_zqGjq5VI4Dyu",
              "description": "Sold USDT",
              "sub_description": "For USD",
              "source_currency": "USDT",
              "target_currency": "USD",
              "source_amount": "100",
              "target_amount": "99.6",
              "trade": "sell",
              "rate": {
                "product": "USDTUSD",
                "rate": "0.996",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USDT",
                "target_currency": "USD"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "funds_converted",
              "timeline": {
                "total_steps": 2,
                "current_step": 2,
                "transfer_status": "funds_converted",
                "events": [
                  {
                    "step": 1,
                    "done": true,
                    "status": "funds_received",
                    "title": "Crypto Received",
                    "description": "Funded from Balance"
                  },
                  {
                    "step": 2,
                    "done": true,
                    "status": "funds_converted",
                    "title": "Funds Converted",
                    "description": "Your USD has been added to your wallet."
                  }
                ]
              },
              "created_at": "2026-01-20T09:33:01.915628Z",
              "updated_at": "2026-01-20T09:33:02.456789Z"
            }
          }
          ```
        </Accordion>
      </Step>
    </Steps>
  </Tab>

  <Tab title="USDC to USD">
    ### Convert 100 USDC to USD via Crypto Deposit

    <Steps>
      <Step title="Get a Quote">
        Create a quote with crypto deposit address:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "USDC",
                    "target_currency": "USD",
                    "source_amount": "100",
                    "pay_in": {
                      "type": "address",
                      "network": "TRX"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_7so9hb74wusK",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "USDC",
              "target_currency": "USD",
              "source_amount": "100",
              "target_amount": "99.6",
              "rate": {
                "product": "USDCUSD",
                "rate": "0.996",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USDC",
                "target_currency": "USD"
              },
              "fees": [],
              "pay_in": {
                "network": "TRX",
                "type": "address"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_7so9hb74wusK",
              "status": "pending",
              "expires_at": "2026-01-20T15:38:44.561315603Z",
              "created_at": "2026-01-20T15:08:44.56129334Z",
              "updated_at": "2026-01-20T15:08:44.56129334Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to get the deposit address:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_7so9hb74wusK"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_UELotkEEfes6",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_7so9hb74wusK",
              "description": "Sold USDC",
              "sub_description": "For USD",
              "source_currency": "USDC",
              "target_currency": "USD",
              "source_amount": "100",
              "target_amount": "99.6",
              "trade": "sell",
              "rate": {
                "product": "USDCUSD",
                "rate": "0.996",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USDC",
                "target_currency": "USD"
              },
              "fees": [],
              "pay_in": {
                "address": "TTc5HBAEETmqPTarVUU3xLB3fY7b1YxNzm",
                "expires_at": "2026-01-20T16:10:01.640438Z",
                "network": "TRX",
                "type": "address"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-20T15:10:01.555002867Z",
              "updated_at": "2026-01-20T15:10:01.555002935Z"
            }
          }
          ```
        </Accordion>

        **Important:** Send exactly 100 USDC (TRC20) to the address `TTc5HBAEETmqPTarVUU3xLB3fY7b1YxNzm` before the expiration time. The USD will be credited to your balance once the deposit is confirmed on-chain.
      </Step>
    </Steps>
  </Tab>
</Tabs>

#### Other Examples

**Buy USD with USDC from Balance**

```bash theme={null}
curl -X POST https://api.sandbox.busha.so/v1/quotes \
  -H "Authorization: Bearer YOUR_SECRET_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "source_currency": "USDC",
    "target_currency": "USD",
    "source_amount": "100",
    "pay_in": {
      "type": "balance"
    }
  }'
```

***

## Sell USD

### Sell USD for Fiat

<Tabs>
  <Tab title="USD to NGN">
    ### Convert 50 USD to NGN

    <Steps>
      <Step title="Get a Quote">
        Create a quote to see the exchange rate:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "USD",
                    "target_currency": "NGN",
                    "source_amount": "50",
                    "pay_in": {
                      "type": "balance"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_6T9lPmqMSPPt",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "USD",
              "target_currency": "NGN",
              "source_amount": "50",
              "target_amount": "80363.5",
              "rate": {
                "product": "USDNGN",
                "rate": "1607.27",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "NGN"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_6T9lPmqMSPPt",
              "status": "pending",
              "expires_at": "2026-01-20T09:56:01.045425406Z",
              "created_at": "2026-01-20T09:26:01.045403632Z",
              "updated_at": "2026-01-20T09:26:01.045403632Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to finalize the conversion:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_6T9lPmqMSPPt"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_qaZ4QmI5ahSw",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_6T9lPmqMSPPt",
              "description": "Sold USD",
              "sub_description": "For NGN",
              "source_currency": "USD",
              "target_currency": "NGN",
              "source_amount": "50",
              "target_amount": "80363.5",
              "trade": "sell",
              "rate": {
                "product": "USDNGN",
                "rate": "1607.27",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "NGN"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-20T09:33:40.957016939Z",
              "updated_at": "2026-01-20T09:33:40.957017017Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Check Transfer Status">
        Monitor the transfer to confirm completion:

        ```bash theme={null}
                curl -X GET https://api.sandbox.busha.so/v1/transfers/TRF_qaZ4QmI5ahSw \
                  -H "Authorization: Bearer YOUR_SECRET_KEY"
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Fetched transfer successfully",
            "data": {
              "id": "TRF_qaZ4QmI5ahSw",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_6T9lPmqMSPPt",
              "description": "Sold USD",
              "sub_description": "For NGN",
              "source_currency": "USD",
              "target_currency": "NGN",
              "source_amount": "50",
              "target_amount": "80363.5",
              "trade": "sell",
              "rate": {
                "product": "USDNGN",
                "rate": "1607.27",
                "side": "sell",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "NGN"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "funds_converted",
              "timeline": {
                "total_steps": 2,
                "current_step": 2,
                "transfer_status": "funds_converted",
                "events": [
                  {
                    "step": 1,
                    "done": true,
                    "status": "funds_received",
                    "title": "Payment Received",
                    "description": "Funded from Balance"
                  },
                  {
                    "step": 2,
                    "done": true,
                    "status": "funds_converted",
                    "title": "Funds Converted",
                    "description": "Your NGN has been added to your wallet."
                  }
                ]
              },
              "created_at": "2026-01-20T09:33:40.957016Z",
              "updated_at": "2026-01-20T09:33:42.123456Z"
            }
          }
          ```
        </Accordion>
      </Step>
    </Steps>
  </Tab>
</Tabs>

***

### Sell USD for Crypto

<Tabs>
  <Tab title="USD to USDT">
    ### Convert 50 USD to USDT

    <Steps>
      <Step title="Get a Quote">
        Create a quote to see the exchange rate:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "USD",
                    "target_currency": "USDT",
                    "source_amount": "50",
                    "pay_in": {
                      "type": "balance"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_g0k6EIlv4ZH6",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "USD",
              "target_currency": "USDT",
              "source_amount": "50",
              "target_amount": "49.800796",
              "rate": {
                "product": "USDTUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDT"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_g0k6EIlv4ZH6",
              "status": "pending",
              "expires_at": "2026-01-20T10:00:31.485131911Z",
              "created_at": "2026-01-20T09:30:31.485109051Z",
              "updated_at": "2026-01-20T09:30:31.485109051Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to finalize the conversion:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_g0k6EIlv4ZH6"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_4vpxeM3IzcuV",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_g0k6EIlv4ZH6",
              "description": "Bought USDT",
              "sub_description": "With USD",
              "source_currency": "USD",
              "target_currency": "USDT",
              "source_amount": "50",
              "target_amount": "49.800796",
              "trade": "buy",
              "rate": {
                "product": "USDTUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDT"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-20T09:34:13.772974486Z",
              "updated_at": "2026-01-20T09:34:13.772974539Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Check Transfer Status">
        Monitor the transfer to confirm completion:

        ```bash theme={null}
                curl -X GET https://api.sandbox.busha.so/v1/transfers/TRF_4vpxeM3IzcuV \
                  -H "Authorization: Bearer YOUR_SECRET_KEY"
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Fetched transfer successfully",
            "data": {
              "id": "TRF_4vpxeM3IzcuV",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_g0k6EIlv4ZH6",
              "description": "Bought USDT",
              "sub_description": "With USD",
              "source_currency": "USD",
              "target_currency": "USDT",
              "source_amount": "50",
              "target_amount": "49.800796",
              "trade": "buy",
              "rate": {
                "product": "USDTUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDT"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "funds_converted",
              "timeline": {
                "total_steps": 2,
                "current_step": 2,
                "transfer_status": "funds_converted",
                "events": [
                  {
                    "step": 1,
                    "done": true,
                    "status": "funds_received",
                    "title": "Payment Received",
                    "description": "Funded from Balance"
                  },
                  {
                    "step": 2,
                    "done": true,
                    "status": "funds_converted",
                    "title": "Funds Converted",
                    "description": "Your USDT has been added to your wallet."
                  }
                ]
              },
              "created_at": "2026-01-20T09:34:13.772974Z",
              "updated_at": "2026-01-20T09:34:15.456789Z"
            }
          }
          ```
        </Accordion>
      </Step>
    </Steps>
  </Tab>

  <Tab title="USD to USDC">
    ### Convert 50 USD to USDC

    <Steps>
      <Step title="Get a Quote">
        Create a quote to see the exchange rate:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/quotes \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "source_currency": "USD",
                    "target_currency": "USDC",
                    "source_amount": "50",
                    "pay_in": {
                      "type": "balance"
                    }
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created quote successfully",
            "data": {
              "id": "QUO_HAouYZS608yv",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "source_currency": "USD",
              "target_currency": "USDC",
              "source_amount": "50",
              "target_amount": "49.800796",
              "rate": {
                "product": "USDCUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDC"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "reference": "QUO_HAouYZS608yv",
              "status": "pending",
              "expires_at": "2026-01-20T10:00:55.785832316Z",
              "created_at": "2026-01-20T09:30:55.785806405Z",
              "updated_at": "2026-01-20T09:30:55.785806405Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Create the Transfer">
        Use the quote ID to finalize the conversion:

        ```bash theme={null}
                curl -X POST https://api.sandbox.busha.so/v1/transfers \
                  -H "Authorization: Bearer YOUR_SECRET_KEY" \
                  -H "Content-Type: application/json" \
                  -d '{
                    "quote_id": "QUO_HAouYZS608yv"
                  }'
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Created transfer successfully",
            "data": {
              "id": "TRF_5ALpSQdyQlpO",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_HAouYZS608yv",
              "description": "Bought USDC",
              "sub_description": "With USD",
              "source_currency": "USD",
              "target_currency": "USDC",
              "source_amount": "50",
              "target_amount": "49.800796",
              "trade": "buy",
              "rate": {
                "product": "USDCUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDC"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "pending",
              "timeline": {
                "total_steps": 0,
                "current_step": 0,
                "transfer_status": "",
                "events": []
              },
              "created_at": "2026-01-20T09:34:50.233122674Z",
              "updated_at": "2026-01-20T09:34:50.233122727Z"
            }
          }
          ```
        </Accordion>
      </Step>

      <Step title="Check Transfer Status">
        Monitor the transfer to confirm completion:

        ```bash theme={null}
                curl -X GET https://api.sandbox.busha.so/v1/transfers/TRF_5ALpSQdyQlpO \
                  -H "Authorization: Bearer YOUR_SECRET_KEY"
        ```

        <Accordion title="View Response">
          ```json theme={null}
          {
            "status": "success",
            "message": "Fetched transfer successfully",
            "data": {
              "id": "TRF_5ALpSQdyQlpO",
              "profile_id": "BUS_CQr0jPzGGzmn1uW5W7OVs",
              "quote_id": "QUO_HAouYZS608yv",
              "description": "Bought USDC",
              "sub_description": "With USD",
              "source_currency": "USD",
              "target_currency": "USDC",
              "source_amount": "50",
              "target_amount": "49.800796",
              "trade": "buy",
              "rate": {
                "product": "USDCUSD",
                "rate": "1.004",
                "side": "buy",
                "type": "FIXED",
                "source_currency": "USD",
                "target_currency": "USDC"
              },
              "fees": [],
              "pay_in": {
                "type": "balance"
              },
              "pay_out": {
                "type": "balance"
              },
              "status": "funds_converted",
              "timeline": {
                "total_steps": 2,
                "current_step": 2,
                "transfer_status": "funds_converted",
                "events": [
                  {
                    "step": 1,
                    "done": true,
                    "status": "funds_received",
                    "title": "Payment Received",
                    "description": "Funded from Balance"
                  },
                  {
                    "step": 2,
                    "done": true,
                    "status": "funds_converted",
                    "title": "Funds Converted",
                    "description": "Your USDC has been added to your wallet."
                  }
                ]
              },
              "created_at": "2026-01-20T09:34:50.233122Z",
              "updated_at": "2026-01-20T09:34:51.789456Z"
            }
          }
          ```
        </Accordion>
      </Step>
    </Steps>
  </Tab>
</Tabs>

***

## Learn More

* [Understanding Quotes](/overview/quotes) - Deep dive into how quotes work
* [Create Your First Quote](/guides/quotes/create-first-quote) - Step-by-step guide
* [Supported Currencies](/guides/reference/supported-currencies) - See all available currency pairs
* [Transfer Status Reference](/guides/reference/transfer-status) - All possible transfer statuses
